/*********************************************************************************************

	file:		ControlStripSample.r

	contains:	resource definitions for the Sample Control Strip module

	author:		SC		[8/29/93]
	modified:	DTS		06/07/94		rename files, comments to reflect name is
										Control Strip (as opposed to Status Bar)

	Copyright  1993 by Apple Computer, Inc.  All rights reserved.

*********************************************************************************************/

#ifndef  SystemSevenOrLater
#define  SystemSevenOrLater 1
#endif

#include "Types.r";
#include "Pict.r";
#include "SysTypes.r";				// for country codes
#include "BalloonTypes.r";			// for 7.0 Balloon Help
#include "ControlStripSample.h";


//////////////////////////////////////////////////////////////////////////////////////////////
//
// version resource

resource 'vers' (1) {
	$01, $00, final, 0, verUS,
	"1.0",
	"1.0,  1993 Apple Computer, Inc."
};


//////////////////////////////////////////////////////////////////////////////////////////////
//
// creator resource

type 'Samp' as 'STR ';

resource 'Samp' (0) {
	"1.0,  1993 Apple Computer, Inc."
};


//////////////////////////////////////////////////////////////////////////////////////////////
//
//	Finder stuff

resource 'BNDL' (128) {
	'Samp', 0,
	{
		'FREF', {0, 128};
		'ICN#', {0, 128};
	}
};

resource 'FREF' (128) {
	'sdev', 0, ""
};


//////////////////////////////////////////////////////////////////////////////////////////////
//
//	file's icons

resource 'ICN#' (128) {
	{
		$"00FFFFFF0180000103000003060000050C000003180000053000000360000005"
		$"C60001038A000285920002839201C44592022443920F9445920F9383921FC805"
		$"923FE803923F6485923F6203923EE885923FE243921FC1058A0F8403C6000085"
		$"6000000330000005180000030C000005060000030315555501AAAAAB00FFFFFF";
		$"00FFFFFF01FFFFFF03FFFFFF07FFFFFF0FFFFFFF1FFFFFFF3FFFFFFF7FFFFFFF"
		$"FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF"
		$"FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF"
		$"7FFFFFFF3FFFFFFF1FFFFFFF0FFFFFFF07FFFFFF03FFFFFF01FFFFFF00FFFFFF"
	}
};

resource 'icl4' (128) {
	$"00000000FFFFFFFFFFFFFFFFFFFFFFFF"
	$"0000000FF000000000000000000000CF"
	$"000000FF0CCCCCCCCCCCCCCCCCCCCCEF"
	$"00000FF0CCCCCCCCCCCCCCCCCCCCCDEF"
	$"0000FF0CCCCCCCCCCCCCCCCCCCCCCDEF"
	$"000FF0CCCCCCCCCCCCCCCCCCCCCCCDEF"
	$"00FF0CCCCCCCCCCCCCCCCCCCCCCCCDEF"
	$"0FF0CCCCCCCCCCCCCCCCCCCCCCCCCDEF"
	$"FF0CDFF0CCCCCCCCCCCCCCCFCCCCCDEF"
	$"F0CDF0F0CCCCCCCCCCCCCCF7FCCCCDEF"
	$"F0CF00F0CCCCCCCCCCCCCCF0FCCCCDEF"
	$"F0CF00F0CCCCCCCFFFCCCF070FCCCDEF"
	$"F0CF00F0CCCCCCFCCCFCCF707FCCCDEF"
	$"F0CF00F0CCCCFFFFFCCFCF070FCCCDEF"
	$"F0CF00F0CCCCFDEDFCCFCCFFFCCCCDEF"
	$"F0CF00F0CCCFDEDEDFCCFCCCCCCCCDEF"
	$"F0CF00F0CCFDEDEDEDFCFCCCCCCCCDEF"
	$"F0CF00F0CCFEDEDE0EFCCF11F1CCCDEF"
	$"F0CF00F0CCFDEDED0DFC11FC1CCCCDEF"
	$"F0CF00F0CCFEDED0DEF1F11CF1CCCDEF"
	$"F0CF00F0CCFDEDEDEDFC1CF11FCCCDEF"
	$"F0CF00F0CCCFDEDEDFCCC11FC1CCCDEF"
	$"F0CDF0F0CCCCFFFFFCCC1F111CCCCDEF"
	$"FFCCDFF0CCCCCCCCCCCCC1C1F1CCCDEF"
	$"0FFCCCCCCCCCCCCCCCCCCCCCCCCCCDEF"
	$"00FFCCCCCCCCCCCCCCCCCCCCCCCCCDEF"
	$"000FFCCCCCCCCCCCCCCCCCCCCCCCCDEF"
	$"0000FFCCCCCCCCCCCCCCCCCCCCCCCDEF"
	$"00000FFCCCCCCCCCCCCCCCCCCCCCCDEF"
	$"000000FFDDDDDDDDDDDDDDDDDDDDDDEF"
	$"0000000FFEEEEEEEEEEEEEEEEEEEEEEF"
	$"00000000FFFFFFFFFFFFFFFFFFFFFFFF"
};

resource 'icl8' (128) {
	$"0000000000000000FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF"
	$"00000000000000FFFF0000000000000000000000000000000000000000002BFF"
	$"000000000000FFFF00F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F62BFBFF"
	$"0000000000FFFF00F62B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2BF9FBFF"
	$"00000000FFFF00F62B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2BF9FBFF"
	$"000000FFFF00F62B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2BF9FBFF"
	$"0000FFFF00F62B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2BF9FBFF"
	$"00FFFF00F62B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2BF9FBFF"
	$"FFFF00F6F9FFFF002B2B2B2B2B2B2B2B2B2B2B2B2B2B2BFF2B2B2B2B2BF9FBFF"
	$"FF00F6F9FF00FF002B2B2B2B2B2B2B2B2B2B2B2B2B2BFFC0FF2B2B2B2BF9FBFF"
	$"FF002BFF0000FF002B2B2B2B2B2B2B2B2B2B2B2B2B2BFF00FF2B2B2B2BF9FBFF"
	$"FF002BFF0000FF002B2B2B2B2B2B2BFFFFFF2B2B2BFF00C000FF2B2B2BF9FBFF"
	$"FF002BFF0000FF002B2B2B2B2B2BFF2B2B2BFF2B2BFFC000C0FF2B2B2BF9FBFF"
	$"FF002BFF0000FF002B2B2B2BFFFFFFFFFF2B2BFF2BFF00C000FF2B2B2BF9FBFF"
	$"FF002BFF0000FF002B2B2B2BFFFBFBFBFF2B2BFF2B2BFFFFFF2B2B2B2BF9FBFF"
	$"FF002BFF0000FF002B2B2BFFFBFBFBFBFBFF2B2BFF2B2B2B2B2B2B2B2BF9FBFF"
	$"FF002BFF0000FF002B2BFFFBFBFBFBFBFBFBFF2BFF2B2B2B2B2B2B2B2BF9FBFF"
	$"FF002BFF0000FF002B2BFFFBFBFBFBFB00FBFF2B2BFF0505FF052B2B2BF9FBFF"
	$"FF002BFF0000FF002B2BFFFBFBFBFBFB00FBFF2B0505FF2B052B2B2B2BF9FBFF"
	$"FF002BFF0000FF002B2BFFFBFBFBFB00FBFBFF05FF05052BFF052B2B2BF9FBFF"
	$"FF002BFF0000FF002B2BFFFBFBFBFBFBFBFBFF2B052BFF0505FF2B2B2BF9FBFF"
	$"FF002BFF0000FF002B2B2BFFFBFBFBFBFBFF2B2B2B0505FF2B052B2B2BF9FBFF"
	$"FF002BF9FF00FF002B2B2B2BFFFFFFFFFF2B2B2B05FF0505052B2B2B2BF9FBFF"
	$"FFFF2B2BF9FFFF002B2B2B2B2B2B2B2B2B2B2B2B2B052B05FF052B2B2BF9FBFF"
	$"00FFFF2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2BF9FBFF"
	$"0000FFFF2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2BF9FBFF"
	$"000000FFFF2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2BF9FBFF"
	$"00000000FFFF2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2BF9FBFF"
	$"0000000000FFFF2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2BF9FBFF"
	$"000000000000FFFFF9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9FBFF"
	$"00000000000000FFFFFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFF"
	$"0000000000000000FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF"
};

resource 'ics#' (128) {
	{
		$"1FFF30016003C1F191F3B3F9B7FFB7EDB7EFB7DDB7FF93F9C1F360013AAB1FFF";
		$"1FFF3FFF7FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF7FFF3FFF1FFF"
	}
};

resource 'ics4' (128) {
	$"000FFFFFFFFFFFFF"
	$"00FF00000000000F"
	$"0FF0CCCCCCCCCCDF"
	$"FF0CCCCFFFFFCCDF"
	$"F0CFCCCFDEDFCCDF"
	$"FCFFCCFDEDEDFCDF"
	$"FCFFCFDEDEDEDFDF"
	$"FCFFCFEDEDE0EFDF"
	$"FCFFCFDEDED0DFDF"
	$"FCFFCFEDED0DEFDF"
	$"FCFFCFDEDEDEDFDF"
	$"FCCFCCFDEDEDFCDF"
	$"FFCCCCCFFFFFCCDF"
	$"0FFCCCCCCCCCCCDF"
	$"00FFDDDDDDDDDDDF"
	$"000FFFFFFFFFFFFF"
};

resource 'ics8' (128) {
	$"000000FFFFFFFFFFFFFFFFFFFFFFFFFF"
	$"0000FFFF0000000000000000000000FF"
	$"00FFFF002B2B2B2B2B2B2B2B2B2BF9FF"
	$"FFFF002B2B2B2BFFFFFFFFFF2B2BF9FF"
	$"FF002BFF2B2B2BFFFBFBFBFF2B2BF9FF"
	$"FF2BFFFF2B2BFFFBFBFBFBFBFF2BF9FF"
	$"FF2BFFFF2BFFFBFBFBFBFBFBFBFFF9FF"
	$"FF2BFFFF2BFFFBFBFBFBFB00FBFFF9FF"
	$"FF2BFFFF2BFFFBFBFBFBFB00FBFFF9FF"
	$"FF2BFFFF2BFFFBFBFBFB00FBFBFFF9FF"
	$"FF2BFFFF2BFFFBFBFBFBFBFBFBFFF9FF"
	$"FF2B2BFF2B2BFFFBFBFBFBFBFF2BF9FF"
	$"FFFF2B2B2B2B2BFFFFFFFFFF2B2BF9FF"
	$"00FFFF2B2B2B2B2B2B2B2B2B2B2BF9FF"
	$"0000FFFFF9F9F9F9F9F9F9F9F9F9F9FF"
	$"000000FFFFFFFFFFFFFFFFFFFFFFFFFF"
};


//////////////////////////////////////////////////////////////////////////////////////
//
//	icons for the Control Strip module

resource 'ics#' (FirstIconID) {
	{
		$"0000006000C000800E701FF83FE03FE03FE03FF03FF81FF81FF80FF00660";
		$"0000006000C000800E701FF83FE03FE03FE03FF03FF81FF81FF80FF00660"
	}
};

resource 'ics4' (FirstIconID) {
	$"0000000000000000"
	$"0000000008800000"
	$"0000000088000000"
	$"0000000080000000"
	$"0000888008880000"
	$"0008888888888000"
	$"0011111111100000"
	$"0011111111100000"
	$"0022222222200000"
	$"0022222222220000"
	$"0033333333333000"
	$"0004444444444000"
	$"0004444444444000"
	$"0000666666660000"
	$"0000066006600000"
	$"0000000000000000"
};

resource 'ics8' (FirstIconID) {
	$"00000000000000000000000000000000"
	$"000000000000000000E3E30000000000"
	$"0000000000000000E3E3000000000000"
	$"0000000000000000E300000000000000"
	$"00000000E3E3E30000E3E3E300000000"
	$"000000E3E3E3E3E3E3E3E3E3E3000000"
	$"00000505050505050505050000000000"
	$"00000505050505050505050000000000"
	$"00001717171717171717170000000000"
	$"00001717171717171717171700000000"
	$"0000D8D8D8D8D8D8D8D8D8D8D8000000"
	$"00000020202020202020202020000000"
	$"00000020202020202020202020000000"
	$"00000000ECECECECECECECEC00000000"
	$"0000000000ECEC0000ECEC0000000000"
	$"00000000000000000000000000000000"
};


resource 'ics#' (SecondIconID) {
	{
		$"0F003F807FD8FE24FCC49808CAC44AD404160865090906F20014000900060002";
		$"0F003F807FD8FFFCFFFC9FF8CFFC4FFC07FE0FFF0FFF06FF001F000F00070003"
	}
};

resource 'ics4' (SecondIconID) {
	$"0000FFFF00000000"
	$"00FF3333F0000000"
	$"0F33333FFF0FF000"
	$"F33333F202F20F00"
	$"FFF33F20E7202F00"
	$"F00FF2020202F000"
	$"FF00F0E033202F00"
	$"0F00F272330F0F00"
	$"00000F20202F2FF0"
	$"0000F2020FF20F8F"
	$"0000F02F2020F88F"
	$"00000FF0FFFF88F3"
	$"00000000000F8F33"
	$"000000000000F33F"
	$"0000000000000FF7"
	$"00000000000000F7"
};

resource 'ics8' (SecondIconID) {
	$"00000000FFFFFFFF0000000000000000"
	$"0000FFFFD8D8D8D8FF00000000000000"
	$"00FFD8D8D8D8D8FFFFFF00FFFF000000"
	$"FFD8D8D8D8D8FF080808FF0808FF0000"
	$"FFFFFFD8D8FF0808FBC0080808FF0000"
	$"FF0000FFFF08080808080808FF000000"
	$"FFFF0000FF08FB08D8D8080808FF0000"
	$"00FF0000FF08C008D8D808FF08FF0000"
	$"0000000000FF0808080808FF08FFFF00"
	$"00000000FF08080808FFFF0808FF9FFF"
	$"00000000FF0808FF08080808FFE3E3FF"
	$"0000000000FFFF00FFFFFFFFE3E3FFD8"
	$"0000000000000000000000FF9FFFD8D8"
	$"000000000000000000000000FFD8D8FF"
	$"00000000000000000000000000FFFFC0"
	$"0000000000000000000000000000FFC0"
};


resource 'ics#' (ThirdIconID) {
	{
		$"0004000A000A071108913E513E4E7F20FFA0FD92FD88FBA2FF897F043E100002";
		$"0004000E0F0E0F9F3EDF3F7F7F6EFFB0FFF0FFDBFFCCFFF3FFCDFF867F181E03"
	}
};

resource 'ics4' (ThirdIconID) {
	$"0000000000000F00"
	$"000000000000F7F0"
	$"000000000000F0F0"
	$"00000FFF000F070F"
	$"0000F000F00F707F"
	$"00FFFFF00F0F070F"
	$"00FDEDF00F00FFF0"
	$"0FDEDEDF00F00000"
	$"FDEDEDEDF0F00000"
	$"FEDEDE0EF00F11F1"
	$"FDEDED0DF011F010"
	$"FEDED0DEF1F110F1"
	$"FDEDEDEDF010F11F"
	$"0FDEDEDF00011F01"
	$"00FFFFF0001F1110"
	$"00000000000101F1"
};

resource 'ics8' (ThirdIconID) {
	$"00000000000000000000000000FF0000"
	$"000000000000000000000000FFC0FF00"
	$"000000000000000000000000FF00FF00"
	$"0000000000FFFFFF000000FF00C000FF"
	$"00000000FF000000FF0000FFC000C0FF"
	$"0000FFFFFFFFFF0000FF00FF00C000FF"
	$"0000FFFBFBFBFF0000FF0000FFFFFF00"
	$"00FFFBFBFBFBFBFF0000FF0000000000"
	$"FFFBFBFBFBFBFBFBFF00FF0000000000"
	$"FFFBFBFBFBFB00FBFF0000FF0505FF05"
	$"FFFBFBFBFBFB00FBFF000505FF000500"
	$"FFFBFBFBFB00FBFBFF05FF050500FF05"
	$"FFFBFBFBFBFBFBFBFF000500FF0505FF"
	$"00FFFBFBFBFBFBFF0000000505FF0005"
	$"0000FFFFFFFFFF00000005FF05050500"
	$"0000000000000000000000050005FF05"
};


//////////////////////////////////////////////////////////////////////////////////////
//
//	arrow picture to show we have a popup menu
//
//	NOTE: this needs to be a polygon (vs a bitmap) so that the background color will
//		  show through around the arrow itself

resource 'PICT' (PopupArrowPictID) {
	{0, 0, 8, 6}, VersionOne {
		{
			ClipRgn		{{0, 0, 8, 6}, $""};
			FillPoly	{{0, 0, 8, 6}, {{0, 2}, {4, 6}, {8, 2}, {0, 2}}};
		}
	}
};


//////////////////////////////////////////////////////////////////////////////////////
//
//	popup menu to select which icon to display

resource 'MENU' (ConfigMenuID) {
	-ConfigMenuID, textMenuProc, allEnabled, enabled, "",
	{
		"Show first Icon",	noIcon, noKey, noMark, plain;
		"Show second Icon",	noIcon, noKey, noMark, plain;
		"Show third Icon",	noIcon, noKey, noMark, plain;
	}
};


//////////////////////////////////////////////////////////////////////////////////////
//
//	help strings for use in the Control Strip module

resource 'STR#' (HelpStringsID) {
	{
		"Sample\n\n"
			"This is a sample Control Strip module which displays one of three icons.\n\n"
			"The first icon is currently being displayed.";
		"Sample\n\n"
			"This is a sample Control Strip module which displays one of three icons.\n\n"
			"The second icon is currently being displayed.";
		"Sample\n\n"
			"This is a sample Control Strip module which displays one of three icons.\n\n"
			"The third icon is currently being displayed.";
		"Sample Preferences";
	}
};


//////////////////////////////////////////////////////////////////////////////////////
//
//	help message for file's icon in the Finder

resource 'hfdr' (kHMHelpID) {
	HelpMgrVersion, hmDefaultOptions, 0, 0,
	{
		HMStringItem	{"Sample\n\n"
						 "This is a sample Control Strip module.  To use this file, "
						 "place it into the Control Strip Modules folder and restart the computer."};
	}
};
